## Update app `client.Flagship.Apps.Update(ctx, appID, params) (*AppUpdateResponse, error)` **put** `/accounts/{account_id}/flagship/apps/{app_id}` Updates an app. Only `name` is mutable. ### Parameters - `appID string` App identifier. - `params AppUpdateParams` - `AccountID param.Field[string]` Path param: Cloudflare account ID. - `Name param.Field[string]` Body param ### Returns - `type AppUpdateResponse struct{…}` - `ID string` - `CreatedAt string` - `Name string` - `UpdatedAt string` - `UpdatedBy string` Email of the actor who last modified the app, or `edge-gateway` for gateway-authenticated changes. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/flagship" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) app, err := client.Flagship.Apps.Update( context.TODO(), "app_id", flagship.AppUpdateParams{ AccountID: cloudflare.F("account_id"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", app.ID) } ``` #### Response ```json { "errors": [ { "message": "message" } ], "messages": [ { "message": "message" } ], "result": { "id": "id", "created_at": "created_at", "name": "name", "updated_at": "updated_at", "updated_by": "updated_by" }, "success": true } ```